Name:           python-tile-renderer
Version:        5.0.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Street map renderer built for the Minecart Rapid Transit City Map (https://mrt-map.github.io/map)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/MRT-Map/tile-renderer
Source:         %{pypi_source tile_renderer}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'tile-renderer' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-tile-renderer
Summary:        %{summary}

%description -n python3-tile-renderer %_description


%prep
%autosetup -p1 -n tile_renderer-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-tile-renderer -f %{pyproject_files}


%changelog
%autochangelog